Bug 3907 - update_wms is not updated for gdm 2.x
: update_wms is not updated for gdm 2.x
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xinitrc)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
: 3459
  Show dependency tree
 
Reported: 2004-03-29 18:46 by
Modified: 2006-12-17 16:22 (History)


Attachments
this patch fixes update_wms for new gdm scheme (470 bytes, patch)
2004-05-02 23:24, Yuri N. Sedunov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-03-29 18:46:21
update_wms generates session files for old versions of gdm. for gdm 2.x it
should genereate files in /etc/X11/dm/Sessions/ with name SessionName.desktop
and content like:
[Desktop Entry]
Encoding=...
Name=...
Name[lang]=...
Comment=...
Comment[lang]=...
Exec=...
Icon=...
Type=Application
------- Comment #1 From 2004-04-26 17:56:51 -------
I'm not aware of new gdm scheme and unable to test it.
Therefore I need the patch. :)
------- Comment #2 From 2004-05-02 23:24:58 -------
Created an attachment (id=402) [details]
this patch fixes update_wms for new gdm scheme
------- Comment #3 From 2004-05-02 23:37:17 -------
Thanks.
Why do you suppose that /etc/X11/Xsession should be bypassed?
------- Comment #4 From 2004-05-05 16:26:31 -------
By default gdm runs /etc/X11/gdm/Xsession (confugured as BaseXsession parameter
in gdm.conf). However it different with our /etc/Xsession.
------- Comment #5 From 2004-05-31 23:58:35 -------
Этой глюке уже больше года, а она делает использование gdm из пакета
невозможным. Я добавляю к Master TODO.
------- Comment #6 From 2004-06-01 19:47:09 -------
Applied in xinitrc-2.4.20-alt1
------- Comment #7 From 2004-06-03 14:48:23 -------
Прощу прощения, придется еще раз обновить xinitrc. Желательно это сделать
сегодня. Какой будет релиз у нового пакета? Мне нужно на него поставить
зависимость в новой сборке gdm.

--- update_wms.orig     2004-06-01 19:21:46 +0400
+++ update_wms.new      2004-06-03 13:42:38 +0400
@@ -54,7 +54,7 @@
 Encoding=UTF-8
 Name=$n
 Comment=$n session
-Exec=`/usr/X11R6/bin/runwm --print $n`
+Exec=/etc/X11/Xsession $n
 Icon=
 Type=Application
 __EOF__
------- Comment #8 From 2004-06-03 15:10:39 -------
2.4.21-alt1
------- Comment #9 From 2004-06-09 18:05:19 -------
update_wms неверно обрабатывает runwm --list. Все портит "KDE (quickstart)".
Если для KDM это просто не актуально, поскольку update_wms в /etc/X11/kdm/kdmrc
просто ничего не делает за отсутствием соответствующей строки, 
$ grep SessionTypes /etc/X11/kdm/kdmrc
$
то для gnome и wdm имеем ошибочные записи.
------- Comment #10 From 2004-06-09 18:10:28 -------
Не понимаю.
------- Comment #11 From 2004-06-09 18:20:42 -------
Ну и ладно
------- Comment #12 From 2004-06-09 18:21:45 -------
И что ты предлагаешь?
------- Comment #13 From 2004-06-10 16:37:57 -------
Zerg, может ты что-нибудь скажешь по этому поводу?
------- Comment #14 From 2004-06-10 20:57:23 -------
 (In reply to comment #13) 
> Zerg, может ты что-нибудь скажешь по этому поводу? 
kdm-у update_wms не нужен 
А разве нельзя исправить update_wms? 
 
------- Comment #15 From 2004-06-10 21:08:13 -------
Просто я не понимаю, что сломано, и потому не знаю, что исправлять.
------- Comment #16 From 2004-06-10 21:20:43 -------
 (In reply to comment #15) 
> Просто я не понимаю, что сломано, и потому не знаю, что исправлять. 
 
Пробелы в названиях пунктов 
rundm --list 
неправильно обрабатываются 
 
------- Comment #17 From 2004-06-10 21:22:46 -------
(In reply to comment #15)
> Просто я не понимаю, что сломано, и потому не знаю, что исправлять.

Не хочу понимать, поэтому и не понимаю :)

Ключевое слово (quickstart), такого сенсу нет.
Есть "KDE (quickstart)"

1)
$ sudo grep KDE /etc/X11/wdm/wdm-config
DisplayManager*wdmWm:KDE:Gnome2:WindowMaker:IceWM:KDE:(quickstart):default

2) 
]$ cat "/etc/X11/sessions/(quickstart).desktop"
[Desktop Entry]
Encoding=UTF-8
Name=(quickstart)
Comment=(quickstart) session
Exec=/etc/X11/Xsession (quickstart)
Icon=
Type=Application
------- Comment #18 From 2004-06-10 21:37:21 -------
И кстати еще о KDE, после сегодняшнего обновления
$ runwm --list|grep KDE
KDE
KDE (safe)
$
Но update_wms никто не вызвал при этом.
$ ls /etc/X11/sessions/
default.desktop  Gnome2.desktop  IceWM.desktop  KDE.desktop 
(quickstart).desktop  WindowMaker.desktop
------- Comment #19 From 2004-06-10 21:40:14 -------
(In reply to comment #18) 
> Но update_wms никто не вызвал при этом. 
Вот, я как раз искал, зачем новую сборку kdebase сделать :-) 
 
------- Comment #20 From 2004-06-11 15:28:46 -------
Кто придумал в имена (не в описания, а в имена) вставлять пробелы?
------- Comment #21 From 2004-06-15 01:41:05 -------
Added in xinitrc-2.4.22-alt1:
update_wms: deal with strange wm names.